{ lib, stdenv, rustPlatform, fetchFromGitHub, pkgs }:

rustPlatform.buildRustPackage rec {
  pname = "notcoal";
  version = "0.3.0";

  src = fetchFromGitHub {
    owner = "eaon";
    repo = pname;
    rev = "v${version}";
    sha256 = "19gaba6asid5vplcy9q0ama40dvwwxglc40ks5240lydrvgfrimq";
  };

  cargoPatches = [ ./Cargo.lock.patch ];
  cargoSha256 = "09bmlpl6rx2pk5w6vv2i1lsl6vr1733zy9jjvi5kkk1mqwinq8ai";
  cargoBuildFlags = [ "--features=standalone" ];

  buildInputs = with pkgs; [ bash notmuch ];

  meta = with lib; {
    description = "An email tagger for notmuch";
    homepage = "https://ghom.niij.org/eaon/notcoal";
  };
}
